
Figure - Bug #118209
【BPS】【蓝牙】副屏未连接中控，连接蓝牙耳机一直播放在线视频，蓝牙连接自动断开了（蓝牙耳机还有电
）
2023-05-24 15:40 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-24

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Free Test Root cause:

Description

【前置条件】

副屏未连接中控

【测试步骤】

连接蓝牙耳机（蓝牙耳机电量100%），打开哔哩哔哩播放在线视频

【预期结果】

视频播放正常，蓝牙耳机连接正常

【测试结果】

视频暂停播放进入屏保状态，蓝牙耳机连接断开（再次手动连接后蓝牙耳机电量40%）

History

#1 - 2023-05-24 15:43 - 物联网测试组_CDTS  唐霞 

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD LC 陶洪普

#2 - 2023-05-24 19:02 - 物联网测试组_CDTS  唐霞 

- Category set to BSP

#3 - 2023-05-29 11:29 - CD LC 陶洪普

bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-05-23-22-38-46.zip

从Bugreport中看到两次连接，

09:35:36～15:28:12

22:11:58～22:26:48

连接的设备是 "EDIFIER W281BT", MAC 60:F4:3A:B2:E8:8D

－－－－－－－－－

 audio.device.bt_a2dp  {audio.device.bt_a2dp, (05-23 09:35:36.172), (android.uid.system, 0, 1000), (address=60:F4:3A:B2:E8:8D, event#=put, name=EDIFIER W281BT,

state=connected)}  {audio.device.bt_a2dp, (05-23 15:28:12.020), (android.uid.system, 0, 1000), (address=60:F4:3A:B2:E8:8D, event#=remove, name=EDIFIER W281BT,

state=disconnected)}  {audio.device.bt_a2dp, (05-23 22:11:58.188), (android.uid.system, 0, 1000), (address=60:F4:3A:B2:E8:8D, event#=put, name=EDIFIER W281BT,

state=connected)}  {audio.device.bt_a2dp, (05-23 22:26:48.585), (android.uid.system, 0, 1000), (address=60:F4:3A:B2:E8:8D, event#=remove, name=EDIFIER W281BT,

state=disconnected)}

－－－－－－－－－

对于断开原因：　从log中显示 对端断开．

05-23 15:28:12.859  1000  1407  1407 D CompanionDeviceManagerService: 60:F4:3A:B2:E8:8D disconnected w/ reason: (1101) Remote request
05-23 22:26:49.461  1000  1407  1407 D CompanionDeviceManagerService: 60:F4:3A:B2:E8:8D disconnected w/ reason: (1101) Remote request

从bugreport未看到其他信息．

#4 - 2023-05-29 11:37 - CD LC 陶洪普

- Status changed from New to ASSIGNED

- Assignee changed from CD LC 陶洪普 to 物联网测试组_CDTS  唐霞 

请提供复现这个问题时的

1. btsnoop

在开发者选项中选择HCI，打开HCI日志

2. logcat

Turn off Bluetooth

adb pull system/etc/Bluetooth/bt_stack.conf

Edit bt_stack.conf file:

(1)set all trace levels from 2 to 6

(2)LoggingV=--v=10 (must enable this log, delete mask '#' flag)

(3)LoggingVModule=--vmodule=*/btm/*=1,btm_ble_multi*=2,*/bta/gatt/*=1,*/stack/gatt/*=1,*/stack/smp/*=1,btif_ble*=1 (must enable this log, delete mask '#' flag)

Sample:

TRC_BTM=6

TRC_HCI=6

TRC_L2CAP=6

TRC_RFCOMM=6

TRC_OBEX=6

TRC_AVCT=6

TRC_AVDT=6

TRC_AVRC=6

TRC_AVDT_SCB=6

TRC_AVDT_CCB=6

TRC_A2D=6

TRC_SDP=6

TRC_SMP=6

TRC_BTAPP=6

TRC_BTIF=6

TRC_BNEP=6

TRC_PAN=6

TRC_HID_HOST=6

TRC_HID_DEV=6

This is Log configuration for new C++ code using LOG macros.

See libchrome/base/logging.h for description on how to configure your logs.

sample configuration:

LoggingV=--v=10

LoggingVModule=--vmodule=*/btm/*=1,btm_ble_multi*=2,*/bta/gatt/*=1,*/stack/gatt/*=1,*/stack/smp/*=1,btif_ble*=1

adb root

adb remount
adb push bt_stack.conf /system/etc/Bluetooth/bt_stack.conf

adb logcat -v threadtime >DUT-logcat.txt

logcat -L -b all -v threadtime -v printable -v uid -d

打开Bluetooth，执行用例

将logcat　和　btsnoop 保存下来

adb pull /data/misc/Bluetooth/logs/xxx_snoop.cfa

#5 - 2023-05-29 11:41 - CD LC 陶洪普

从上面日志信息　bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-05-23-22-38-46.zip 显示对端请求断开

05-23 15:28:12.859 1000 1407 1407 D CompanionDeviceManagerService: 60:F4:3A:B2:E8:8D disconnected w/ reason: (1101) Remote request

05-23 22:26:49.461 1000 1407 1407 D CompanionDeviceManagerService: 60:F4:3A:B2:E8:8D disconnected w/ reason: (1101) Remote request

请确认相同情况下，该耳机与其他参考设备连接，相同用例，是否有该现象？

如果不存在，请帮忙复现，抓取logcat, bt snoop来分析，谢谢！

#6 - 2023-06-02 11:26 - CDTS-TEST 周婷

请正确流转bug状态

#7 - 2023-06-02 11:26 - CDTS-TEST 周婷

- Category changed from BSP to LC

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD LC 陶洪普

#8 - 2023-06-02 17:02 - 短距组_SSRDCNJ 蒋俊杰

现有log证明是对端发起断开，非本地蓝牙问题。

【结论】：对端问题，非本地问题。

#9 - 2023-06-02 17:10 - 短距组_SSRDCNJ 蒋俊杰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to 物联网测试组_CDTS  唐霞 

#10 - 2023-06-25 19:25 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to RESOLVED

无法复现，关闭问题单。

#11 - 2023-06-25 19:26 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#12 - 2023-06-25 19:26 - 物联网测试组_CDTS  唐霞 
- Status changed from VERIFIED to CLOSED

Files

bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-05-23-22-38-46.zip 6.32 MB 2023-05-24 物联网测试组_CDTS  唐霞 
